﻿// MarioToo Wii Flash API Demo - FLASH MX VERSION
//
// Version 1.0
// Author: Adam Saltsman <adam@lastchancemedia.com>
// Contributors: Robert Hine <robert_hine@mail.com>
//
// A simple app to show how the MarioToo WiiMote API functions.

import com.LCM.mariotoo.FlashMX.MarioToo;

class com.LCM.mariotoo.FlashMX.MarioToo_Demo extends MovieClip
{
	var txtfmt:TextFormat;

	function MarioToo_Demo()
	{
		MarioToo.init();

		for (var n = 1; n < 5; n++)
		{
			_root.createTextField("status" + n, _root.getNextHighestDepth(), 0, (n * 50) + 20, Stage.width, 200);
			MarioToo["WiiMote" + n].setClassic(true);
		}

		MarioToo.bindDefaults();
		MarioToo["WiiMote1"].bind(MarioToo.BUTTON_A,65); //the 'a' key on the keyboard, just for example

		this.onEnterFrame = onEnterFrameFunc;

		txtfmt = new TextFormat();
		txtfmt.size = 40;
		txtfmt.color = 0xffffff;
		txtfmt.align = "center";
	}

	function onEnterFrameFunc() : Void
	{
		for (var n = 1; n < 5; n++)
		{
			var status = _root["status" + n];
			var tempWiiMote = MarioToo["WiiMote" + n];
	
			status.text = "Player " + n + ": ";
			if(tempWiiMote.isAWiiMote)
				status.text += "is A WiiMote:";
	
			if(tempWiiMote.isDown(MarioToo.BUTTON_A))
				status.text += "A";
			if(tempWiiMote.isDown(MarioToo.BUTTON_B))
				status.text += " B";
			if(tempWiiMote.isDown(MarioToo.BUTTON_1))
				status.text += " 1";
			if(tempWiiMote.isDown(MarioToo.BUTTON_2))
				status.text += " 2";
			if(tempWiiMote.isDown(MarioToo.BUTTON_PLUS))
				status.text += " +";
			if(tempWiiMote.isDown(MarioToo.BUTTON_MINUS))
				status.text += " -";
			if(tempWiiMote.isDown(MarioToo.BUTTON_UP))
				status.text += " ^";
			if(tempWiiMote.isDown(MarioToo.BUTTON_DOWN))
				status.text += " v";
			if(tempWiiMote.isDown(MarioToo.BUTTON_LEFT))
				status.text += " <";
			if(tempWiiMote.isDown(MarioToo.BUTTON_RIGHT))
				status.text += " >";
			status.setTextFormat(txtfmt);
		}
	}
}